#ifndef DVDFGPSET_H
#define DVDFGPSET_H

/*
|========================================================================
|
|                          c  copyright 1982
|                    Intelligent Software Systems, Inc.
|
|    dvdfgpset.h
|
|    alan c morse      9 sep 82
|
|     alan c morse     25 Oct 82     Delete slot count max
|
|========================================================================
|
|    include-file description/function:
|
|      Defines the data structure that contains the parameters to
|      guard routine, which uses the parameters to determine if
|      the display formatter can display the data group.  This
|      file is included in each display formatter, with the
|      appropriate values defined for the parameters (upper case
|      names below).  The display formatter must define DFNAME
|      (name of the display formatter) and DFNAME_STRING (character
|      string containing the name of the display formatter).  The
|      other parameters may not be defined, in which case the assume
|      default values.
|          This file must be maintained in parallel with dvdfgpdec.h
|      which is included in the guard routine, which references this
|      structure.
|
|========================================================================
*/

# include "dvdfgpdec.h"
#include "dvparams.h"			/* V_S_LARGEST */

LOCAL DG_CONSTRAINTS dg_constraints =
  {
# ifdef DFNAME_STRING
  DFNAME_STRING,
# else
  (char *) 0,
# endif

    {
      {
# ifdef D1_MAXSIZE
      D1_MAXSIZE,
# else
      V_S_LARGEST,
# endif

# ifdef D2_MAXSIZE
      D2_MAXSIZE,
# else
      V_S_LARGEST,
# endif
      },

# ifdef MAX_VARNUM
    MAX_VARNUM,
# else
    V_S_LARGEST,
# endif
    },
 

    {
# ifdef VARS_EQ_SIZE
    VARS_EQ_SIZE,
# else
    NO,
# endif
 
# ifdef ONE_SLOT_ONLY
    ONE_SLOT_ONLY 
# else
    NO
# endif
    }
 
  };

#endif
